
import random
import datetime

def generate_random_date(year_start=1970, year_end=2023):
    """
    Generates a random datetime object within a specified range.
    """
    year = random.randint(year_start, year_end)
    month = random.randint(1, 12)
    day = random.randint(1, 28)  # Assuming a non-leap year for simplicity
    return datetime.datetime(year, month, day)



